namespace ConfigFileManager.ViewModels.Dialog;

internal partial class RecipeFileViewModel : ObservableObject, IDialogAware
{
    public DialogCloseListener RequestClose { get; set; }
    [ObservableProperty]
    private string? _Title;
    public bool CanCloseDialog()
    {
        return true;
    }

    public void OnDialogClosed()
    {
    }

    public void OnDialogOpened(IDialogParameters parameters)
    {
        this.Title = "配方文件";
    }

    [RelayCommand]
    private void Close()
    {
        this.RequestClose.Invoke();
    }

}
